Package Base Details: vala-panel-appmenu-xfce-git

Git Clone URL: https://aur.archlinux.org/vala-panel-appmenu-xfce-git.git (read-only, click to copy)
Submitter: rilian
Maintainer: rilian
Last Packager: rilian
Votes: 34
Popularity: 0.29
First Submitted: 2015-04-01 21:00
Last Updated: 2020-04-05 16:59

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 11 Next › Last »

sergey.orloff commented on 2017-04-02 11:05

Hello @rilian!
This is one of my favorite apps!
Thank you for the excellent work and I wish you success, prosperity and good!

rilian commented on 2017-03-31 13:44

What desktop environment are you use?
Try adding gtk-modules = "unity-gtk-module::canberra-gtk-module" into ~/.config/gtk-3.0/settings.ini

hpstg commented on 2017-03-31 13:21

env | grep -i 'gtk'
GTK_OVERLAY_SCROLLING=0
GTK_MODULES=unity-gtk-module::canberra-gtk-module:unity-gtk-module

I'll try to see now with normal GTK.

rilian commented on 2017-03-29 16:47

gtk3-ubuntu - not required, remove it ASAP and replace with proper gtk.

show me GTK_MODULES

hpstg commented on 2017-03-29 16:32

I have ~/.gtkrc and ~/.gtkrc-2.0 created with these contents (without the quotes) in both of them:

"export GTK_MODULES=unity-gtk-module:$GTK_MODULES"

~/.config/gtk-3.0/settings.ini with these contents (without the quotes):

"[Settings]
gtk-shell-shows-app-menu=true
gtk-shell-shows-menubar=true"

and ~/.profile with these contents (without the quotes):

"export UBUNTU_MENUPROXY=0
export GTK_MODULES=unity-gtk-module:$GTK_MODULES"

The packages I have installed alongside this one are these:

unity-gtk-module-standalone-bzr
appmenu-qt4
libdbusmenu-glib
libdbusmenu-gtk2
libdbusmenu-gtk3
libdbusmenu-qt4
libdbusmenu-qt5
gtk3-ubuntu
gtk2-ubuntu

With these packages I get a global menu with File-Roller (a proper one, with File, Edit etc). Google Chrome works also. No MATE app works. Caja, Terminal etc, they still have their menus and the GlobalMenu applet only gets the name of the apps with no other menu. I don't know how to proceed at this point.

rilian commented on 2017-03-29 16:09

unity-gtk-module not working, AFAIK. Do you see it loaded? File-roller works?
If so, I need to investigate why unity-gtk-module not working. It is strange.
I got it on OpenSUSE, but not on Arch. On Arch all is correct.

hpstg commented on 2017-03-29 15:41

I can't seem to be able to make it work for GTK3 apps. Any tips? I followed the directions in Github line by line. What is your configuration? Chrome/Chromium works.

rilian commented on 2017-03-26 09:01

Download new version from AUR. Latest is 0.3.0-6

brunocarv commented on 2017-03-26 03:14

Well, I updated my system and uninstal vala-panel. I'm installing but, says that depends on mate-panel-gtk3.
What can I do?
Rilian, you mentioned update PKGBUILD... it will fix this dependencie issue? How can I update PKGBUILD?
thanks

rilian commented on 2017-03-23 21:16

Please, update PKGBUILD. If you use release 5, this issue must gone.